Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.props
Class RootDockablePropertySet

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable
              org.flexdock.util.TypedHashtable
                  org.flexdock.docking.props.BasicDockablePropertySet
                      org.flexdock.docking.props.RootDockablePropertySet

All Implemented Interfaces:
  Serializable, Cloneable, Map, DockingConstants, DockablePropertySet

    public class RootDockablePropertySet

extends BasicDockablePropertySet

Author:
  Christopher Butler
See Also:
  Serialized Form

Field Summary
`static Float` | `DEFAULT_DRAG_THRESHOLD`
`static Float` | `DEFAULT_PREVIEW_SIZE`

Fields inherited from interface org.flexdock.docking.props.DockablePropertySet
`ACTIVE, DESCRIPTION, DOCKBAR_ICON, DOCKING_ENABLED, DRAG_THRESHOLD, MOUSE_MOTION_DRAG_BLOCK, PREVIEW_SIZE, REGION_SIZE_EAST, REGION_SIZE_NORTH, REGION_SIZE_SOUTH, REGION_SIZE_WEST, SIBLING_SIZE_EAST, SIBLING_SIZE_NORTH, SIBLING_SIZE_SOUTH, SIBLING_SIZE_WEST, TAB_ICON, TERRITORY_BLOCKED_CENTER, TERRITORY_BLOCKED_EAST, TERRITORY_BLOCKED_NORTH, TERRITORY_BLOCKED_SOUTH, TERRITORY_BLOCKED_WEST`

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`RootDockablePropertySet(Dockable dockable)`

Method Summary
`void` | `constrain(Object key, Object value)`
`Object` | `remove(Object key)`

Methods inherited from class org.flexdock.docking.props.BasicDockablePropertySet
`addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getDockableDesc, getDockbarIcon, getDockingId, getDragThreshold, getPreviewSize, getRegionInset, getRegionInsetKey, getSiblingSize, getSiblingSizeKey, getTabIcon, getTerritoryBlockedKey, isActive, isDockingEnabled, isMouseMotionListenersBlockedWhileDragging, isTerritoryBlocked, removePropertyChangeListener, setActive, setDockableDesc, setDockbarIcon, setDockingEnabled, setDragTheshold, setMouseMotionListenersBlockedWhileDragging, setPreviewSize, setRegionInset, setSiblingSize, setTabIcon, setTerritoryBlocked`

Methods inherited from class org.flexdock.util.TypedHashtable
`get, get, get, get, get, get, get, get, getBoolean, getByte, getChar, getDouble, getFloat, getInt, getLong, getShort, getString, put, put, put, put, put, put, put, put, put`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, putAll, rehash, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.flexdock.docking.props.DockablePropertySet
`put`

Field Detail

### DEFAULT_DRAG_THRESHOLD

    public static final Float DEFAULT_DRAG_THRESHOLD

### DEFAULT_PREVIEW_SIZE

    public static final Float DEFAULT_PREVIEW_SIZE

Constructor Detail

### RootDockablePropertySet

    public RootDockablePropertySet(Dockable dockable)

Method Detail

### constrain

    public void constrain(Object key,
                          Object value)

### remove

    public Object remove(Object key)

  Specified by:
    `remove` in interface `Map`
  Specified by:
    `remove` in interface `DockablePropertySet`
  Overrides:
    `remove` in class `Hashtable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD